Bug 471474 - desktop effects on + switch to tty and back = crash of Xorg; gdb attaching -> total freeze of computer
desktop effects on + switch to tty and back = crash of Xorg; gdb attaching ->...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
All Linux
high Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
: 473489 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-13 16:08 EST by Matěj Cepl
Modified: 2009-04-24 01:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-24 01:12:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/var/log/Xorg.0.log (103.25 KB, text/plain)
2008-11-13 16:08 EST, Matěj Cepl
no flags Details
/var/log/dmesg (35.48 KB, text/plain)
2008-11-13 16:09 EST, Matěj Cepl
no flags Details
/var/log/messages (609.93 KB, text/plain)
2008-11-13 16:10 EST, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2008-11-13 16:08:18 EST
Created attachment 323500 [details]
/var/log/Xorg.0.log

Description of problem:
Summary basically provides whole story. Switched on desktop-effects and when triaging bug 471353 I tried to prove that switching between console and X just works, I got black screen on returning to X :-). Computer was not dead and mouse was moving, but aside from the mouse cursor the screen was totally black.

I was able to connect to the computer via ssh from other computer. When trying to gdb --pid=$(pidof Xorg) gdb was begun to start, printed "attaching to the process XXXXX (no debuginfo) ..." and then it froze completely.

Of course, I have no /etc/X11/xorg.conf

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.5.2-12.fc10.i386

How reproducible:
happened once

Steps to Reproduce:
1.desktop-effects on
2.Alt+Ctrl+2, Alt+Ctrl+7, Alt+Ctrl+1
3.
  
Actual results:
black screen with mouse cursor moving

Expected results:
lovely Xorg display with Firefox where I could continue explaining to the reporter that our Xorg Just Works™
Comment 1 Matěj Cepl 2008-11-13 16:09:37 EST
Created attachment 323501 [details]
/var/log/dmesg

Just to emphasize. Xorg.0.log has this lovely crash:

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x3b) [0x812b9ab]
1: /usr/bin/Xorg(mieqEnqueue+0x289) [0x810b0c9]
2: /usr/bin/Xorg(xf86PostMotionEventP+0xc2) [0x80d3fb2]
3: /usr/bin/Xorg(xf86PostMotionEvent+0x68) [0x80d4118]
4: /usr/lib/xorg/modules/input//synaptics_drv.so [0x2fe8fe]
5: /usr/lib/xorg/modules/input//synaptics_drv.so [0x300f79]
6: /usr/bin/Xorg [0x80bcb17]
7: /usr/bin/Xorg [0x80ac67e]
8: [0x110400]
9: [0x110416]
10: /lib/libc.so.6(ioctl+0x19) [0xc3e929]
11: /usr/lib/libdrm.so.2 [0x58806cf]
12: /usr/lib/libdrm.so.2(drmWaitVBlank+0x28) [0x5880e08]
13: /usr/lib/dri/i965_dri.so [0x3b056c]
14: /usr/lib/dri/i965_dri.so(driWaitForVBlank+0xd8) [0x3b078c]
15: /usr/lib/dri/i965_dri.so(intelSwapBuffers+0x262) [0x3b65a0]
16: /usr/lib/dri/i965_dri.so [0x3b0906]
17: /usr/lib/xorg/modules/extensions//libglx.so [0x212454]
18: /usr/lib/xorg/modules/extensions//libglx.so [0x204cfe]
19: /usr/lib/xorg/modules/extensions//libglx.so [0x20863a]
20: /usr/bin/Xorg(Dispatch+0x34f) [0x8085e6f]
21: /usr/bin/Xorg(main+0x47d) [0x806b6ed]
22: /lib/libc.so.6(__libc_start_main+0xe5) [0xb796d5]
23: /usr/bin/Xorg [0x806aad1]
Comment 2 Matěj Cepl 2008-11-13 16:10:48 EST
Created attachment 323502 [details]
/var/log/messages
Comment 3 Matěj Cepl 2008-11-13 16:19:25 EST
I would almost forget
xorg-x11-drv-i810-2.5.0-3.fc10.i386
Comment 4 Bug Zapper 2008-11-26 00:20:37 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Vitaly Bordug 2008-11-28 15:10:34 EST
*** Bug 473489 has been marked as a duplicate of this bug. ***
Comment 6 Vitaly Bordug 2008-11-28 15:13:54 EST
I would add, that not only gdb lead to total freeze, chvt (iirc) did similar result. Or killing X, not sure...
Comment 7 Matěj Cepl 2009-04-24 01:12:58 EDT
This has evaporated somewhere.

Note You need to log in before you can comment on or make changes to this bug.